osg::NodeAcceptOp Class Reference

`#include <NodeVisitor>`

## Public Member Functions

| NodeAcceptOp (NodeVisitor &nv)
| NodeAcceptOp (const NodeAcceptOp &naop)
void | operator() (Node *node)
void | operator() (ref_ptr< Node > node)

## Protected Member Functions

NodeAcceptOp & | operator= (const NodeAcceptOp &)

## Protected Attributes

NodeVisitor & | _nv

## Detailed Description

Convenience functor for assisting visiting of arrays of osg::Node's.

## Constructor & Destructor Documentation

## NodeAcceptOp() [1/2]

osg::NodeAcceptOp::NodeAcceptOp | ( | NodeVisitor & | nv | ) |

inline

References _nv.

Referenced by NodeAcceptOp(), and operator=().

## NodeAcceptOp() [2/2]

osg::NodeAcceptOp::NodeAcceptOp | ( | const NodeAcceptOp & | naop | ) |

inline

References _nv, and NodeAcceptOp().

## Member Function Documentation

## operator()() [1/2]

void osg::NodeAcceptOp::operator() | ( | Node * | node | ) |

inline

References _nv, and osg::Node::accept().

## operator()() [2/2]

void osg::NodeAcceptOp::operator() | ( | ref_ptr< Node > | node | ) |

inline

References _nv.

## operator=()

NodeAcceptOp & osg::NodeAcceptOp::operator= | ( | const NodeAcceptOp & |  | ) |

inline protected

References NodeAcceptOp().

## Member Data Documentation

## _nv

NodeVisitor& osg::NodeAcceptOp::_nv

protected

Referenced by NodeAcceptOp(), NodeAcceptOp(), operator()(), and operator()().

The documentation for this class was generated from the following file:

- NodeVisitor